> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve mobile networks

> Retrieve supported mobile networks by country.



## OpenAPI

````yaml Flutterwave_v4_Open_API.json get /mobile-networks
openapi: 3.1.0
info:
  version: '1.0'
  title: Flutterwave APIs
  description: APIs for Enterprise Customers
  contact:
    name: Flutterwave
    email: hi@flutterwavego.com
servers:
  - url: https://developersandbox-api.flutterwave.com
    description: Dev server
security:
  - bearerAuth: []
paths:
  /mobile-networks:
    get:
      tags:
        - Mobile Networks
      summary: Retrieve mobile networks
      description: Retrieve supported mobile networks by country.
      operationId: mobile_networks_get
      parameters:
        - $ref: '#/components/parameters/trace_id'
        - in: query
          required: true
          name: country
          schema:
            $ref: '#/components/schemas/mobile_networks_country_iso2'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    $ref: '#/components/schemas/status'
                  message:
                    type: string
                  data:
                    $ref: '#/components/schemas/mobile_networks'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400'
        '401':
          description: Unauthorised request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/403'
components:
  parameters:
    trace_id:
      description: >-
        A unique identifier to track this operation. It must be between 12 and
        255 characters in length.
      in: header
      name: X-Trace-Id
      schema:
        type: string
        minLength: 12
        maxLength: 255
      example: acb123e4-f567-4a8b-9c0d-1e2f3a4b5c6d
  schemas:
    '400':
      description: Bad Request
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        error:
          type: object
          properties:
            type:
              type: string
              example: REQUEST_NOT_VALID
            code:
              type: string
              example: '10400'
            message:
              type: string
              nullable: true
              example: Request is not valid
            validation_errors:
              type: array
              items:
                type: object
                properties:
                  field_name:
                    type: string
                    example: amount
                  message:
                    type: string
                    example: must not be null
          description: >-
            The request cannot be accepted and is malformed and/or missing
            required parameters.
    '401':
      description: Unauthorized
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        message:
          type: string
          nullable: true
          description: Invalid API key provided
          example: UNAUTHORIZED
        error:
          type: object
          properties:
            type:
              type: string
              example: UNAUTHORIZED
            code:
              type: string
              example: '10401'
            message:
              type: string
              example: unauthorized
    '403':
      description: Forbidden
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        message:
          type: string
          description: API key doesn't have permission to access this resource
        error:
          type: object
          properties:
            type:
              type: string
              example: FORBIDDEN
            code:
              type: string
              example: '10403'
            message:
              type: string
              example: Forbidden
    mobile_networks_country_iso2:
      type: string
      description: The ISO 3166-1 alpha-2 country code.
      enum:
        - CG
        - CM
        - CI
        - EG
        - ET
        - GA
        - GH
        - KE
        - MW
        - RW
        - SN
        - TZ
        - TD
        - UG
        - ZM
    status:
      type: string
      nullable: false
      enum:
        - success
        - failed
    mobile_networks:
      type: array
      items:
        $ref: '#/components/schemas/mobile_network_item'
    mobile_network_item:
      type: object
      properties:
        id:
          type: string
          description: The mobile network ID.
          format: string
          example: mob_cYjd92Qk
        network:
          type: string
          description: The mobile network.
          example: MTN
        name:
          type: string
          description: The name of the mobile network operator.
          example: MTN Mobile Money
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````